# Manual Installation

1. [Prerequisites](#prerequisites)
    1. [Source Code](#clone-the-source-code)
	2. [Linux](#linux)
	3. [Windows](#windows)
2. [Building](#building)
	1. [Linux](#building-on-linux)
	2. [Windows](#building-on-windows)

## Prerequisites

### Clone the source code

To compile speciesgen, please clone the source code:

```sh
git clone https://git.vern.cc/prisixia/speciesgen.git --recurse-submodules
cd speciesgen
```

Please also make sure that you have wxWidgets >= 3.1.5 installed.

### Linux

Please make sure to have a C++ compiler that supports C++17 (such as the GNU C++ compiler) and `cmake` installed.
On Ubuntu and other Debian based systems, you may run

```sh
sudo apt install g++ cmake libwxgtk3.2-dev
```

### Windows

Tools such as w64devkit or Visual Studio can be used for compiling the program.
wxWidgets can be found [here](https://www.wxwidgets.org/downloads/).

## Building

To build a release version of speciesgen, run

### Building on Linux

In the terminal, run

```sh
mkdir build
cd build
cmake ..
make
```

If all goes well, the program will be found in the build directory as `speciesgen`.

### Building on Windows

In a developer command prompt or an equivalent, run

```sh
mkdir build
cd build
cmake -G "Ninja" ..
ninja
```

If all goes well, the program will be found in the build directory as `speciesgen.exe`.
